Pārlūkot izejas kodu

config precommit hook

appflowy 3 gadi atpakaļ
vecāks
revīzija
717d53412b
4 mainītis faili ar 31 papildinājumiem un 38 dzēšanām
  1. 0 4
      .githook/pre-commit
  2. 0 33
      .githook/pre-push
  3. 30 0
      .githooks/pre-commit
  4. 1 1
      .githooks/pre-push

+ 0 - 4
.githook/pre-commit

@@ -1,4 +0,0 @@
-#!/usr/bin/env bash
-
-#flutter format .
-

+ 0 - 33
.githook/pre-push

@@ -1,33 +0,0 @@
-#!/usr/bin/env bash
-cd flutter-lib
-if [[ `git status --porcelain` ]]; then
-  printf "\e[31;1m%s\e[0m\n" 'This script needs to run against committed code only. Please commit or stash you changes.'
-  exit 1
-fi
-printf "\e[33;1m%s\e[0m\n" 'Running the Flutter analyzer'
-flutter analyze
-if [ $? -ne 0 ]; then
-  printf "\e[31;1m%s\e[0m\n" 'Flutter analyzer error'
-  exit 1
-fi
-printf "\e[33;1m%s\e[0m\n" 'Finished running the Flutter analyzer'
-printf "\e[33;1m%s\e[0m\n" 'Running unit tests'
-
-#current_branch=$(git symbolic-ref HEAD | sed -e 's,.*/\(.*\),\1,')
-#if [ "$current_branch" = "main" ]; then
-#    echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
-#    echo ""
-#    echo " Should not push to main directly. Use Pull Request instead"
-#    echo ""
-#    echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
-#    exit 1
-#fi
-
-
-
-#flutter test
-#if [ $? -ne 0 ]; then
-#  printf "\e[31;1m%s\e[0m\n" 'Unit tests error'
-#  exit 1
-#fi
-#printf "\e[33;1m%s\e[0m\n" 'Finished running unit tests'

+ 30 - 0
.githooks/pre-commit

@@ -1,4 +1,34 @@
 #!/usr/bin/env bash
 
 #flutter format .
+##https://gist.github.com/benmccallum/28e4f216d9d72f5965133e6c43aaff6e
+limit=$(( 1 * 2**20 )) # 1MB
 
+function file_too_large(){
+	filename=$0
+	filesize=$(( $1 / 2**20 ))
+
+	cat <<HEREDOC
+
+	File $filename is $filesize MB, which is larger than github's maximum
+        file size (1 MB). We will not be able to push this file to Github.
+	Commit aborted
+HEREDOC
+
+}
+
+empty_tree=$( git hash-object -t tree /dev/null )
+if git rev-parse --verify HEAD > /dev/null 2>&1
+then
+	against=HEAD
+else
+	against=empty_tree
+fi
+
+for file in $( git diff-index --cached --name-only $against ); do
+	file_size=$( ls -la $file | awk '{ print $5 }')
+	if [ "$file_size" -gt  "$limit" ]; then
+		file_too_large $filename $file_size
+		exit 1;
+	fi
+done

+ 1 - 1
.githooks/pre-push

@@ -1,5 +1,5 @@
 #!/usr/bin/env bash
-cd flutter-lib
+
 if [[ `git status --porcelain` ]]; then
   printf "\e[31;1m%s\e[0m\n" 'This script needs to run against committed code only. Please commit or stash you changes.'
   exit 1